!
! Compile with something like
!
! g95 -o example_netcdf example_netcdf.f90 -I/home/abarth/local/netcdf-g95/include -L/home/abarth/local/netcdf-g95/lib -lnetcdf
!

program example_netcdf
 use netcdf
 implicit none

 integer :: ncid, status, dimids(2), varid
 integer :: i,j
 real :: temp(6,4)

 do j=1,4
   do i=1,6
     temp(i,j) = i+j
   end do
 end do

!---------------------------------------!
!                                       !
! write data to a netcdf file           !
!                                       !
!---------------------------------------!

! create netcdf file called example.nc

 status = nf90_create('example.nc',nf90_clobber,ncid)
 write(6,*) 'status ',status

 status = nf90_def_dim(ncid, 'longitude', 6, dimids(1))
 write(6,*) 'status ',status

 status = nf90_def_dim(ncid, 'latitude', 4, dimids(2))

 status = nf90_def_var(ncid, 'temp', nf90_float, dimids, varid)
 write(6,*) 'status ',status

 status = nf90_put_att(ncid, varid, 'units', 'degree Celsius')
 write(6,*) 'status ',status
 status = nf90_put_att(ncid, varid, 'valid_range', (/-10.,40./))
 write(6,*) 'status ',status,__LINE__

 status = nf90_enddef(ncid)
 write(6,*) 'status ',status

 status = nf90_put_var(ncid,varid,temp)

 status = nf90_close(ncid)


end program example_netcdf
